#include "isprime.h"

udatum
isprime (t1, t2)
    udatum t1, t2;
{
  udatum r;
  udatum n;

  r= true ();
  n= t2;
  while (n->ptr != NULL)
    if (t1->ino % n->ino == 0) {
      r= false ();
      break;
    }
    else
      n= (udatum) n->ptr;
  ud_free (int_sort, t1);
  ud_free (inl_sort, t2);
  return r;
}
